package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class AccountEntityCollection extends AbstractObjectCollection 
{
    public AccountEntityCollection()
    {
        super(AccountEntityInfo.class);
    }
    public boolean add(AccountEntityInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(AccountEntityCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(AccountEntityInfo item)
    {
        return removeObject(item);
    }
    public AccountEntityInfo get(int index)
    {
        return(AccountEntityInfo)getObject(index);
    }
    public AccountEntityInfo get(Object key)
    {
        return(AccountEntityInfo)getObject(key);
    }
    public void set(int index, AccountEntityInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(AccountEntityInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(AccountEntityInfo item)
    {
        return super.indexOf(item);
    }
}